module.exports.QUESTIONS = {
  APP_NAME: 'What name do you want to give your companion?',
  FOLDER: 'Where do you want to create your companion (folder) ?',
  CLOUD_PROVIDER: 'Where will you host your companion?',
  CLOUD_PROVIDER_CREDENTIALS: 'What are your credentials for (hosting?)',
  OPENAI: 'Do you want to use OpenAI capabilities like chat?',
  CONTINUE: 'Do you want to continue?',
  VALIDATIONS: {
    APP_NAME: 'Please enter a name.',
    FOLDER: 'Please enter a folder name.',
    CREDENTIALS: 'Please enter the credentials.',
  },
};

module.exports.OPTIONS = {
  CLOUD_PROVIDERS: {
    AWS: 'AWS',
    AZURE: 'Azure',
    GCP: 'GCP',
  },
  CONFIRMATION: {
    YES: 'Yes',
    NO: 'No',
  },
};

module.exports.HEADER = {
  LOGO: `                              
  MMMMMMMMMMMWXOdl:;,,,,;:ldkKNWMMMMMMMMMM
  MMMMMMMMMNOl,..............'cxKWMMMMMMMM
  MMMMMMMNO:....................:xXWMMMMMM
  MMMMMMKl.......................,oKWMMMMM
  MMMMMKc.........................,dXMMMMM
  MMMMNd...........................;OWMMMM
  MMMMX:...........................'dNMMMM
  MMMMK:...........................'dNMMMM
  MMMMNo...........................,kWMMMM
  MMMMM0:..........................cKWMMMM
  MMMMMW0:.......................'l0WMMMMM
  MMMMMMWKl..................',:okXWMMMMMM
  MMMMMMMWNOc,........',;cclodk0XWWMMMMMMM
  MMMMMMMMMMN0xoc:cldkO0KKKXXNNWMMMMMMMMMM`,
  NAME: 'maslo',
  GREETING: ` Hi from maslo! Let’s get started.\n I'll guide you to create your companion.\n`,
};

module.exports.LABELS = {
  SUCCESS_MESSAGE: '\tYour companion was created succesfully! 🤖',
  PROCESSING: 'Creating a bunch of stuff...',
  CONFIRMATION: ({ appName, folderName, cloudProvider, openAi }, color) => {
    return `
    Great, here’s what I’ll do to create your companion:
      🤖 Configure a companion named ${color(appName)}
      🛠  Create a new folder called ${color(folderName)}
      📚 Install and configure the hosting for ${color(cloudProvider)}
      🎨 The primary color scheme will be (color)
      🔌 Install OpenAI capabilities ${color(openAi)}
      `;
  },
};
