#!/usr/bin/env node

const chalk = require('chalk');
const clear = require('clear');
const figlet = require('figlet');
const CLI = require('clui');
const Spinner = CLI.Spinner;
const player = require('play-sound')((opts = {}));
const { HEADER, LABELS } = require('./constants');

const path = require('path');
const absolutePath = path.resolve(__dirname);
const ASSETS_PATH = path.join(absolutePath, 'assets');

try {
  player.play(`${ASSETS_PATH}/open.mp3`, function (err) {
    if (err) {
    }
  });
} catch {}

const inquirer = require('./lib/inquirer');
const { blueBright } = require('chalk');

// HEADER
clear();
console.log(chalk.magenta(HEADER.LOGO));
console.log(
  chalk.magenta(figlet.textSync(HEADER.NAME, { horizontalLayout: 'full' }))
);
console.log(chalk.magenta(HEADER.GREETING));

(async () => {
  const responses = await inquirer.askServerQuestions();
  const status = new Spinner(LABELS.PROCESSING);
  console.log(LABELS.CONFIRMATION(responses, blueBright));
  const confirmation = await inquirer.confirm();
  if (confirmation.response) {
    status.start();
    setTimeout(() => {
      try {
        player.play(`${ASSETS_PATH}/joy.mp3`, function (err) {
          if (err) {
          }
        });
      } catch {}
      status.stop();
      console.log(`
    ${chalk.magentaBright(LABELS.SUCCESS_MESSAGE)}
      `);
    }, 3000);
  }
})();
